Search documentation of stripe_elixir

# StripeElixir.Services.Issuing.TokenService (stripe_elixir v0.1.0)

Copy Markdown View Source

IssuingNetworkToken

An issuing token object is created when an issued card is added to a digital wallet. As a card issuer, you can view and manage these tokens through Stripe.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all issuing tokens for card

retrieve(client, token, params \\ %{}, opts \\ [])

Retrieve an issuing token

update(client, token, params \\ %{}, opts \\ [])

Update a token status

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all issuing tokens for card

Lists all Issuing `Token` objects for a given card.

# retrieve(client, token, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve an issuing token

Retrieves an Issuing `Token` object.

# update(client, token, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a token status

Attempts to update the specified Issuing `Token` object to the status specified.